/*
 * Player2.h
 *
 *  Created on: 16 dec 2011
 *      Author: Reii
 */

#ifndef PLAYER2_H_
#define PLAYER2_H_

#include "Sprite.h"

class Player2 :public Sprite{

public:
	static Player2* getInstance(std::string filename, bool transparent, bool multi, int x, int y);
	static Player2* getInstance(Image* img, bool multi, int x, int y);
	void tick(std::vector<Sprite*>& gameobjects);
	void draw();
	void keyUp(SDLKey key);
	void keyDown(SDLKey key);
	~Player2();
protected:
	Player2(std::string filename, bool transparent, bool multi, int x, int y);
	Player2(Image* img, bool multi, int x, int y);
private:
	Player2(const Player2&);
	const Player2& operator=(const Player2&);
	int lives;
};


#endif /* PLAYER2_H_ */
